cURL
curl --request GET \
--url https://grid.squads.xyz/api/v0/grid/smart-accounts/{smart_account_address} \
--header 'Authorization: Bearer <token>' \
--header 'X-Grid-Environment: <x-grid-environment>'import requests
url = "https://grid.squads.xyz/api/v0/grid/smart-accounts/{smart_account_address}"
headers = {
"X-Grid-Environment": "<x-grid-environment>",
"Authorization": "Bearer <token>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {'X-Grid-Environment': '<x-grid-environment>', Authorization: 'Bearer <token>'}
};
fetch('https://grid.squads.xyz/api/v0/grid/smart-accounts/{smart_account_address}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"created_at": "2021-01-01T00:00:00Z",
"grid_user_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"smart_account_address": "<string>",
"external_accounts": [
{
"account_owner_name": "<string>",
"active": true,
"bank_name": "<string>",
"beneficiary_address_valid": true,
"created_at": "<string>",
"customer_id": "<string>",
"id": "<string>",
"updated_at": "<string>",
"account": {
"last_4": "<string>",
"routing_number": "<string>"
},
"account_name": "<string>",
"address": {
"city": "<string>",
"country": "<string>",
"state": "<string>",
"street_line_1": "<string>",
"postal_code": "<string>",
"street_line_2": "<string>"
},
"business_name": "<string>",
"first_name": "<string>",
"iban": {
"account_number": "<string>",
"bic": "<string>",
"country": "<string>"
},
"last_4": "<string>",
"last_name": "<string>",
"swift": null
}
],
"policies": {
"authorities": [
{
"address": "EPjFWdd5AufqSSqeM2qN1xzybapC8G4wEGGkZwyTDt1v",
"permissions": []
}
],
"threshold": 5,
"admin_address": "EPjFWdd5AufqSSqeM2qN1xzybapC8G4wEGGkZwyTDt1v",
"time_lock": 1
},
"virtual_accounts": [
{
"customer_id": "<string>",
"destination": {
"address": "<string>"
},
"id": "<string>",
"source_deposit_instructions": {
"bank_account_number": "<string>",
"bank_address": "<string>",
"bank_beneficiary_name": "<string>",
"bank_name": "<string>",
"bank_routing_number": "<string>",
"payment_rails": []
},
"developer_fee_percent": "0.02"
}
]
}{
"details": [
{
"code": "<string>",
"field": "<string>",
"message": "<string>"
}
],
"message": "<string>",
"timestamp": "<string>"
}{
"details": [
{
"code": "<string>",
"field": "<string>",
"message": "<string>"
}
],
"message": "<string>",
"timestamp": "<string>"
}{
"details": [
{
"code": "<string>",
"field": "<string>",
"message": "<string>"
}
],
"message": "<string>",
"timestamp": "<string>"
}{
"details": [
{
"code": "<string>",
"field": "<string>",
"message": "<string>"
}
],
"message": "<string>",
"timestamp": "<string>"
}Smart Accounts
Get Smart Account
GET
/
smart-accounts
/
{smart_account_address}
cURL
Authorizations
API Key for authentication
Headers
The environment you’re using. Can be sandbox or production.
Path Parameters
The address of the smart account to retrieve
Query Parameters
Whether to include external accounts
Whether to include virtual accounts
Whether to include KYC status
Whether to include policies
Response
Successfully retrieved smart account details
Example:
"2021-01-01T00:00:00Z"
Show child attributes
Show child attributes
Available options:
active, awaiting_questionnaire, awaiting_ubo, incomplete, not_started, offboarded, paused, rejected, under_review Show child attributes
Show child attributes
Show child attributes
Show child attributes
Was this page helpful?
⌘I